Get the latest completed Monitor report
curl --request GET \
--url https://api.itoflow.ai/watchlists/{id}/reports/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/watchlists/{id}/reports/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/watchlists/{id}/reports/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"completed_at": "<string>",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queued_at": "<string>",
"report_date": "<string>",
"run_type": "manual",
"started_at": "<string>",
"status": "queued",
"superseded_at": "<string>",
"watchlist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"watchlist_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "<string>",
"report": {},
"report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"structured_dashboard": {},
"error_message": "<string>",
"task_id": "<string>",
"dataframe_snapshots": {}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Monitors
Get the latest completed Monitor report
Returns the most recent completed Monitor report, including its report and dashboard. Returns 204 when the Monitor has no completed report yet.
Operation ID: get__watchlists_id_reports_latest.
GET
https://api.itoflow.ai
/
watchlists
/
{id}
/
reports
/
latest
Get the latest completed Monitor report
curl --request GET \
--url https://api.itoflow.ai/watchlists/{id}/reports/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/watchlists/{id}/reports/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/watchlists/{id}/reports/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"completed_at": "<string>",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queued_at": "<string>",
"report_date": "<string>",
"run_type": "manual",
"started_at": "<string>",
"status": "queued",
"superseded_at": "<string>",
"watchlist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"watchlist_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "<string>",
"report": {},
"report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"structured_dashboard": {},
"error_message": "<string>",
"task_id": "<string>",
"dataframe_snapshots": {}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Response
Latest completed monitor report